Kinsus Interconnect Technology Corp

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/kinsus-interconnect-technology-corp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/kinsus-interconnect-technology-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1776384000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ssl4.eir-parts.net/doc/3189/tdnet/2792049/00.pdf",
    "holding_balance": 1422.1041,
    "holding_net_change": 5.07,
    "transaction_value_usd": 372911.53,
    "average_entry_value_usd": 73552.57,
    "transaction_value_calculated": false
  },
  {
    "date": 1776643200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ssl4.eir-parts.net/doc/3189/tdnet/2792610/00.pdf",
    "holding_balance": 1422.7931,
    "holding_net_change": 0.69,
    "transaction_value_usd": 50673.41,
    "average_entry_value_usd": 73546.31,
    "transaction_value_calculated": false
  },
  {
    "date": 1776816000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ssl4.eir-parts.net/doc/3189/tdnet/2793164/00.pdf",
    "holding_balance": 1431.9716,
    "holding_net_change": 9.18,
    "transaction_value_usd": 696910.15,
    "average_entry_value_usd": 75928.54,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/kinsus-interconnect-technology-corp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1431.9716
  ],
  [
    1779062400000,
    1431.9716
  ],
  [
    1779148800000,
    1431.9716
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/kinsus-interconnect-technology-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    110877360.511976
  ],
  [
    1779062400000,
    110182009.422732
  ],
  [
    1779148800000,
    109918154.335716
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/kinsus-interconnect-technology-corp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 460.0,
    "date": "2026-05-18",
    "high": 510.0,
    "open": 472.0,
    "close": 505.0,
    "volume": 19713013
  },
  {
    "low": 497.0,
    "date": "2026-05-19",
    "high": 530.0,
    "open": 515.0,
    "close": 513.0,
    "volume": 36593354
  },
  {
    "low": 481.0,
    "date": "2026-05-20",
    "high": 520.0,
    "open": 513.0,
    "close": 504.0,
    "volume": 39789352
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/kinsus-interconnect-technology-corp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 1.9448,
  "quarterly_earnings_growth": 0.648,
  "eps_estimate_current_quarter": 1.326
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/kinsus-interconnect-technology-corp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 17.07,
  "six_month_return": 287.69,
  "three_month_return": 91.27
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/kinsus-interconnect-technology-corp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.007,
  "share_price_change_state": "down"
}